<?php

require_once("NingApi.php");

function ning_pub_get_access_token($subdomain, $consumer_key, $consumer_secret, $email, $password) {
    
    $ningApi = new NingApi($subdomain, $consumer_key, $consumer_secret);
    
    try{
        $result = $ningApi->login($email, $password);
        return $result;
    } catch(NingException $e) {
        print "<p>Error: <b>{$e->getMessage()}</b></p>";
    }
}

function add_value($name) {
    if (isset($_REQUEST[$name])) {
        print ' value="' . $_REQUEST[$name] . '" ';
    }
}
?>
<html>
    <head>
        <title>Ning Publisher - Generate Access Token</title>
    </head>
    <body>
        <h1>Ning Publisher - Generate Access Token</h1>
        <form method="POST">
            <fieldset>
                <legend>Network Information</legend>
                <ol>
                    <li>
                        <label for="subdomain">Subdomain</label>
                        <input id="subdomain" name="subdomain" type="text"<?php add_value("subdomain") ?> />
                    </li>
                    <li>
                        <label for="consumer_key">Consumer Key</label>
                        <input id="consumer_key" name="consumer_key" type="text" size="40" <?php add_value("consumer_key") ?> />
                    </li>
                    <li>
                        <label for="consumer_secret">Consumer Secret</label>
                        <input id="consumer_secret" name="consumer_secret" type="text" size="40"<?php add_value("consumer_secret") ?> />
                    </li>
                </ol>
            </fieldset>

            <fieldset>
                <legend>Member Information</legend>
                <ol>
                    <li>
                        <label for="email">Member Email</label>
                        <input id="email" name="email" type="text"<?php add_value("email") ?> />
                    </li>
                    <li>
                        <label for="password">Member Password</label>
                        <input id="password" name="password" type="password" />
                    </li>
                </ol>
            </fieldset>
            <p>
                <input type="submit" value="Generate Token" />
            </p>
        </form>
<?php
    if( isset($_REQUEST["subdomain"]) &&
        isset($_REQUEST["consumer_key"]) &&
        isset($_REQUEST["consumer_secret"]) &&
        isset($_POST["email"]) &&
        isset($_POST["password"]
        )) {
        $network_url = $_REQUEST["subdomain"];
        $consumer_key = $_REQUEST["consumer_key"];
        $consumer_secret = $_REQUEST["consumer_secret"];
        $email = $_POST["email"];
        $password = $_POST["password"];

        $response = ning_pub_get_access_token($network_url, $consumer_key, $consumer_secret, $email, $password);
        if ($response) {
?>
<dl>
    <dt>Member Email:</dt>
        <dd><?php print $_POST["email"] ?></dd>
    <dt>Access Token:</dt>
        <dd><?php print $response["entry"]["oauthToken"] ?></dd>
    <dt>Access Token Secret:</dt>
        <dd><?php print $response["entry"]["oauthTokenSecret"] ?></dd>
</dl>
<?php
        }
    }
?>
    </body>
</html>
